"Blackberry Professional Software Installation Application has stopped working" -- cannot install on Windows Server 2008

I am trying to install my Blackberry Professional Software on Exchange Server 2007 SP1, running in Windows Server 2008. Everything is all on the same box, as this is a very small  network setup with limited budget (plans to expand later). Anyway, I successfully completed all the pre-installation tasks and am now trying to actually install the Blackberry software (v4.14b). All indications I have found online say that RIM supports installation on Exchange 2007 SP1 with this version. When I click setup to launch the install, I get the error ""Blackberry Professional Software Installation Application has stopped working" from Windows. Having it try to search for solutions brings up no results.

How can I get this installed? I don't want to use up my free RIM support case on something like this that I hope has a simple solution.
LVL 1
alan2938Asked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

kyodaiCommented:
Officially Server 2008 is not a supported Operating System.

http://na.blackberry.com/eng/support/software/server_compatibility.jsp


You could try some tricks from compatibility settings to trying to manually extract the files from the installer. Usually they get unpacked during runtime, check  "C:\Documents and Settings\USERNAME\Local Settings\Temp" or windows\temp for unpacked installation files. Another trick would be to install it to another server running 2003 and just copy the program files, dlls, registry keys and services from the other machine.


However - 2008 is NOT supported by blackberry and the only clean solution here would running it on a 2003 server (maybe just in a VMware if you lack the physical machine).
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
kyodaiCommented:
Hint: The new version 5.0 claims to work fine in 2008 regarding the matrix - but i must admit i still use 4.1.4
0
alan2938Author Commented:
Ugh, my client bought 4.1 through Zezel.com. I wonder if the CAL upgrade they provided will work with v5.0. I've had success with Zezel in the past.
0
Has Powershell sent you back into the Stone Age?

If managing Active Directory using Windows Powershell® is making you feel like you stepped back in time, you are not alone.  For nearly 20 years, AD admins around the world have used one tool for day-to-day AD management: Hyena. Discover why.

-jonny-Commented:
If it's a BES cal then the cal will work fine.
0
alan2938Author Commented:
Well, Zezel sells BPS, not true BES. That's the problem.
0
-jonny-Commented:
Both BPS and BES 5.0 support both SBE and Full BES CALs. Default cals that ship with BPS are enterprise.
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
BlackBerry

From novice to tech pro — start learning today.